/*
 *  TOPPERS/JSP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Just Standard Profile Kernel
 * 
 *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *                     2003         by Advanced Data Controls, Corp
 *  Copyright (C) 2006 by Monami Software Limited Partnership, JAPAN
 * 
 *  L쌠҂́Cȉ (1)`(4) ̏CFree Software Foundation 
 *  ɂČ\Ă GNU General Public License  Version 2 ɋL
 *  qĂ𖞂ꍇɌC{\tgEFAi{\tgEFA
 *  ς̂܂ށDȉjgpEEρEĔzziȉC
 *  pƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
 *      pł`ōĔzzꍇɂ́CĔzzɔhLgip
 *      ҃}jAȂǁjɁCL̒쌠\C̗pщL
 *      ̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
 *      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
 *      ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
 *        񍐂邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̓Kp\
 *  ܂߂āCȂۏ؂sȂD܂C{\tgEFA̗pɂ蒼
 *  ړI܂͊ԐړIɐȂ鑹QɊւĂC̐ӔC𕉂ȂD
 * 
 *  @(#) $Id: /local/fi4-1.4/toppers/RELEASE_20061105_1/config/sh3-ghs/tool_defs.h 6183 2006-11-05T03:43:32.794177Z monaka  $
 */

/*
 *  JɈˑ`
 *
 *  ̃CN[ht@ĆCt_stddef.h  itron.h ̐擪ŃCN[
 *  hD̃t@C͒ڃCN[h邱Ƃ͂ȂD̃C
 *  N[ht@Cɐ旧ď邽߁C̃CN[ht@C
 *  ɈˑĂ͂ȂȂD
 */

#ifndef TOPPERS_TOOL_DEFS_H
#define TOPPERS_TOOL_DEFS_H

/*
 *  RpCˑ̃f[^^̒`
 */
#define	_int8_		char		/* 8rbg̐^ */
#define	_int16_		short		/* 16rbg̐^ */
#define	_int32_		int		/* 32rbg̐^ */
#ifdef __LL_Is_64
#define _int64_	long 	long	/* 64rbg̐^ */
#endif

/*
 *  RpC̊g@\̂߂̃}N`
 */
#ifndef __cplusplus         /* C++ ɂ inline  */
#if __STDC_VERSION__ < 199901L      /* C99 ɂ inline  */
#define inline      __inline
#endif /* __STDC_VERSION__ < 199901L */
#endif /* __cplusplus */

#define	Inline		static inline

#define	Asm		asm 

#endif /* TOPPERS_TOOL_DEFS_H */
