/*
 *  TOPPERS/FI4 Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Fullset uItron4 Kernel
 * 
 *  Copyright (C) 2000 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2003-2006 by Monami software Limited Partnership, JAPAN
 * 
 *  L쌠҂́Cȉ (1)`(4) ̏CFree Software Foundation 
 *  ɂČ\Ă GNU General Public License  Version 2 ɋL
 *  qĂ𖞂ꍇɌC{\tgEFAi{\tgEFA
 *  ς̂܂ށDȉjgpEEρEĔzziȉC
 *  pƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
 *      pł`ōĔzzꍇɂ́CĔzzɔhLgip
 *      ҃}jAȂǁjɁCL̒쌠\C̗pщL
 *      ̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
 *      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
 *      ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
 *        񍐂邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̓Kp\
 *  ܂߂āCȂۏ؂sȂD܂C{\tgEFA̗pɂ蒼
 *  ړI܂͊ԐړIɐȂ鑹QɊւĂC̐ӔC𕉂ȂD
 * 
 *  @(#) $Id: /local/fi4-1.4/toppers/RELEASE_20061105_1/kernel/alarm.h 6183 2006-11-05T03:43:32.794177Z monaka  $
 */

/*
 *	A[nh@\
 */

#ifndef TOPPERS_ALARM_H
#define TOPPERS_ALARM_H

#include "queue.h"
#include "time_event.h"

/*
 *  A[nhubN
 */
typedef struct alarm_handler_initialization_block {
	ATR	almatr;		/* A[nh */
	VP_INT	exinf;		/* A[nh̊g */
	FP	almhdr;		/* A[nh̋NԒn */
} ALMINIB;

/*
 *  A[nhubNAzyA
 */
typedef struct alarm_handler_initialization_block_apair {
	ID	almid;
	ALMINIB	alminib;
} ALMINIA;

/*
 *  A[nhǗubN
 */
typedef struct alarm_handler_control_block {
	QUEUE free_queue;	/* A[nh󂫃L[ */
	ALMINIB *alminib;
	BOOL	almsta;		/* A[nh̓ */
	EVTTIM	evttim;		/* A[nhN鎞 */
	TMEVTB	tmevtb;		/* ^CCxgubN */
	unsigned int	exist:2;	/* gĂƂAKOBJ_EXIST */
	unsigned int	reserved:1;
} ALMCB;

/*
 *  A[nh@\̏
 */
extern void	alarm_initialize(void);

/*
 *  A[nhN[`
 */
extern void	call_almhdr(ALMCB *cyccb);

#define ALMID(almcb)	((ID)(almcb - almcb_table) + TMIN_ALMID)

#endif /* TOPPERS_ALARM_H */
