/*
 *  TOPPERS/FI4 Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Fullset uItron4 Kernel
 * 
 *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2003-2006 by Monami software Limited Partnership, JAPAN
 * 
 *  L쌠҂́Cȉ (1)`(4) ̏CFree Software Foundation 
 *  ɂČ\Ă GNU General Public License  Version 2 ɋL
 *  qĂ𖞂ꍇɌC{\tgEFAi{\tgEFA
 *  ς̂܂ށDȉjgpEEρEĔzziȉC
 *  pƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
 *      pł`ōĔzzꍇɂ́CĔzzɔhLgip
 *      ҃}jAȂǁjɁCL̒쌠\C̗pщL
 *      ̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
 *      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
 *      ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
 *        񍐂邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̓Kp\
 *  ܂߂āCȂۏ؂sȂD܂C{\tgEFA̗pɂ蒼
 *  ړI܂͊ԐړIɐȂ鑹QɊւĂC̐ӔC𕉂ȂD
 * 
 *  @(#) $Id: /local/fi4-1.4/toppers/RELEASE_20061105_1/kernel/fi4_kernel.h 6183 2006-11-05T03:43:32.794177Z monaka  $
 */

/*
 *	JSPJ[l WCN[ht@C
 *
 *  ̃CN[ht@ĆCJ[l\vÕ\[Xt@
 *  CŕKCN[hׂWCN[ht@CłD
 *
 *  AZũ\[Xt@CVXeRtBM[Vt@
 *  C炱̃t@CCN[h鎞́C_MACRO_ONLY `
 *  ƂŁC}N`ȊŐLqƂłD
 */

#ifndef TOPPERS_FI4_KERNEL_H
#define TOPPERS_FI4_KERNEL_H

/*
 *  J[l̓ʖ̃l[
 */
#include "fi4_rename.h"

/*
 *  AvP[VƋʂ̃CN[ht@C
 */
#include <kernel.h>

/*
 *  ^[Qbgˑ̒`
 */
#include <t_config.h>

/*
 *
 */
/* #include "bufmgr.h" */

/*
 *  IuWFNgID̍ŏl̒`
 */
#define	TMIN_TSKID	1	/* ^XNID̍ŏl */
#define	TMIN_SEMID	1	/* Z}tHID̍ŏl */
#define	TMIN_FLGID	1	/* tOID̍ŏl */
#define	TMIN_DTQID	1	/* f[^L[ID̍ŏl */
#define	TMIN_MBXID	1	/* [{bNXID̍ŏl */
#define	TMIN_MPFID	1	/* Œ蒷v[ID̍ŏl */
#define	TMIN_MPLID	1	/* ϒv[ID̍ŏl */
#define TMIN_MTXID	1	/* ~[ebNXID̍ŏl */
#define TMIN_MBFID	1	/* bZ[Wobt@ID̍ŏl */
#define TMIN_PORID	1	/* fv|[gID̍ŏl */
#define	TMIN_CYCID	1	/* nhID̍ŏl */
#define	TMIN_ALMID	1	/* A[nhID̍ŏl */
#define	TMIN_ISRID	1	/* ݃T[rX[`ID̍ŏl */

/* 
 * Dx̒iK̒`
 */
#define	TNUM_TPRI	(TMAX_TPRI - TMIN_TPRI + 1)
#define	TNUM_MPRI	(TMAX_MPRI - TMIN_MPRI + 1)

/*
 *  J[lŗp}N̒`
 */
#define SYSCALL

/*
 *  wb_t@CȂW[̊֐Eϐ̐錾
 */
#ifndef _MACRO_ONLY

/*
 *  eW[̏ikernel_cfg.cj
 */
extern void	object_initialize(void);

/*
 *  [`̎sikernel_cfg.cj
 */
extern void	call_inirtn(void);

/*
 *  I[`̎sikernel_cfg.cj
 */
extern void	call_terrtn(void);

/*
 *  NbZ[W̕\ibanner.cj
 */
extern void	print_banner(void);

/*
 *  J[l̏Iistartup.cj
 */
extern void	kernel_exit(void);

/*
 *  J[lԃtOistartup.cj
 */
extern BOOL	iniflg;

/*
 *  IuWFNg
 *
 *  xxxcb.exist ̏ԂB
 *  exist BOOL^ɂ邱Ƃ\Acre_/acre_T[rXR[
 *  ̃I[owbh傫A\Ȍ芄݋֎~Ԃ炵B
 *  ŁAgpKOBJ_EXISTAo^KOBJ_NOEXS ɉāA
 *  KOBJ_INITD `B
 *  KOBJ_INITD ̏Ԃł́Acre_/acre_T[rXR[ɂď
 *  ł邪A݋֎~Ԃ̊OɂBT[rXR[łID
 *  `FbNłE_IDG[ԂȂ̂KOBJ_EXIST̏Ԃ݂̂łB
 */
#define KOBJ_EXIST		(2)
#define KOBJ_INIT		(1)
#define KOBJ_NOEXS		(0)

#endif /* _MACRO_ONLY */
#endif /* TOPPERS_FI4_KERNEL_H */
