/*
 *  TOPPERS/FI4 Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Fullset uItron4 Kernel
 * 
 *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2003-2006 by Monami software Limited Partnership, JAPAN
 * 
 *  L쌠҂́Cȉ (1)`(4) ̏CFree Software Foundation 
 *  ɂČ\Ă GNU General Public License  Version 2 ɋL
 *  qĂ𖞂ꍇɌC{\tgEFAi{\tgEFA
 *  ς̂܂ށDȉjgpEEρEĔzziȉC
 *  pƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
 *      pł`ōĔzzꍇɂ́CĔzzɔhLgip
 *      ҃}jAȂǁjɁCL̒쌠\C̗pщL
 *      ̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
 *      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
 *      ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
 *        񍐂邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̓Kp\
 *  ܂߂āCȂۏ؂sȂD܂C{\tgEFA̗pɂ蒼
 *  ړI܂͊ԐړIɐȂ鑹QɊւĂC̐ӔC𕉂ȂD
 * 
 *  @(#) $Id: /local/fi4-1.4/toppers/RELEASE_20061105_1/kernel/mempfix.h 6183 2006-11-05T03:43:32.794177Z monaka  $
 */

/*
 *	Œ蒷v[@\
 */

#ifndef TOPPERS_MEMPFIX_H
#define TOPPERS_MEMPFIX_H

#include "queue.h"

/*
 *  Œ蒷v[ubN
 */
typedef struct fixed_memorypool_initialization_block {
	ATR	mpfatr;		/* Œ蒷v[ */
	UINT	blksz;		/* ubÑTCYiۂ߂lj */
	VP	mpf;		/* Œ蒷v[̈̐擪Ԓn */
	VP	limit;		/* Œ蒷v[̈̏Ԓn */
} MPFINIB;

/*
 *  Œ蒷v[ubNAzyA
 */
typedef struct fixed_memorypool_initialization_block_apair {
	ID	mpfid;
	MPFINIB	mpfinib;
} MPFINIA;

/*
 *  ubNXg̒`
 */
typedef struct free_list {
	struct free_list *next;
} FREEL;

/*
 *  Œ蒷v[ǗubN
 */
typedef struct fixed_memorypool_control_block {
	QUEUE	wait_queue;	/* Œ蒷v[҂L[ */
	MPFINIB *mpfinib;	/* Œ蒷v[ubN */
	FREEL	*freelist;	/* 󂫃ubÑXg */
	VP	unused;		/* gp̈̐擪Ԓn */
	unsigned int	exist:2;	/* gĂƂAKOBJ_EXIST */
	unsigned int	reserved:1;
} MPFCB;

/*
 *  Œ蒷v[@\̏
 */
extern void	mempfix_initialize(void);

/*
 *  Œ蒷v[ubNl
 */
extern BOOL	mempfix_get_block(MPFCB *mpfcb, VP *p_blk);

/*
 *  󂫃ubN𐔂B
 */
extern UINT	mempfix_count_free(MPFCB *mpfcb);

#define MPFID(mpfcb)	((ID)((mpfcb) - mpfcb_table) + TMIN_MPFID)

#endif /* TOPPERS_MEMPFIX_H */
