/*
 *  TOPPERS/FI4 Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Fullset uITRON4.0 Kernel
 * 
 *  Copyright (C) 2003-2004 by Monami Software Limited Partnership, JAPAN.
 *  Copyright (C) 2000-2002 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 * 
 *  L쌠҂́Cȉ (1)`(4) ̏CFree Software Foundation 
 *  ɂČ\Ă GNU General Public License  Version 2 ɋL
 *  qĂ𖞂ꍇɌC{\tgEFAi{\tgEFA
 *  ς̂܂ށDȉjgpEEρEĔzziȉC
 *  pƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
 *      pł`ōĔzzꍇɂ́CĔzzɔhLgip
 *      ҃}jAȂǁjɁCL̒쌠\C̗pщL
 *      ̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
 *      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
 *      ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
 *        񍐂邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̓Kp\
 *  ܂߂āCȂۏ؂sȂD܂C{\tgEFA̗pɂ蒼
 *  ړI܂͊ԐړIɐȂ鑹QɊւĂC̐ӔC𕉂ȂD
 * 
 *  @(#) $Id: /local/fi4-1.4/toppers/RELEASE_20061105_1/cfg/fi4/fi4_defs.h 2750 2006-03-07T16:15:24.532712Z monaka  $
 */

// $Header$

#ifndef __FI4_DEFS_H
#define __FI4_DEFS_H

#define OBJECTTREE			"object"
#define DYNAMICID			"dynamicid"
#define RESERVEDID			"reservedid"
#define SYSTEM				"system"

#define TASK                "task"
#define SEMAPHORE           "semaphore"
#define EVENTFLAG           "eventflag"
#define DATAQUEUE           "dataqueue"
#define MAILBOX             "mailbox"
#define FIXEDSIZEMEMORYPOOL "mempfix"
#define CYCLICHANDLER       "cyclic"
#define INTERRUPTHANDLER    "interrupt"
#define EXCEPTIONHANDLER    "exception"
#define INITIALIZER         "initializer"
#define TERMINATOR          "terminator"
#define FINALIZER           "finalizer"
#define INCLUDEFILE 		"include"
#define OBJECT_INITIALIZER	"object_initializer"
#define IDENTIFIER_VARIABLE "identifier"

#define VARSIZEMEMORYPOOL   "mempvar"
#define ALARMHANDLER        "alarm"
#define OVERRUNHANDLER      "overrun"
#define ATTACHED_ISR	    "attached_isr"
#define INTERRUPTSERVICE    "interrupt_service"
#define MESSAGEBUFFER       "messagebuffer"
#define MUTEX               "mutex"
#define RENDEZVOUSPORT      "rendezvous"
#define EXSERVICECALL       "exservicecall"

#define KERNELBUFFER	    "kernelbuffer"

#define KERNEL_CFG			"/file/kernel_cfg"
#define KERNEL_ID			"/file/kernel_id"

#define PREFIX				"/prefix"

#endif
