/*

 *  TOPPERS/FI4 Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Fullset uITRON4.0 Kernel
 * 
 *  Copyright (C) 2003-2006 by Monami Software Limited Partnership, JAPAN.
 *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 * 
 *  L쌠҂́Cȉ (1)`(4) ̏CFree Software Foundation 
 *  ɂČ\Ă GNU General Public License  Version 2 ɋL
 *  qĂ𖞂ꍇɌC{\tgEFAi{\tgEFA
 *  ς̂܂ށDȉjgpEEρEĔzziȉC
 *  pƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
 *      pł`ōĔzzꍇɂ́CĔzzɔhLgip
 *      ҃}jAȂǁjɁCL̒쌠\C̗pщL
 *      ̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
 *      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
 *      ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
 *        񍐂邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̓Kp\
 *  ܂߂āCȂۏ؂sȂD܂C{\tgEFA̗pɂ蒼
 *  ړI܂͊ԐړIɐȂ鑹QɊւĂC̐ӔC𕉂ȂD
 *
 *  @(#) $Id: /local/fi4-1.4/toppers/RELEASE_20061105_1/config/sh3/cpu_defs.h 6183 2006-11-05T03:43:32.794177Z monaka  $
 */

/*
 *  vZbTɈˑ`iSH3/4pj
 *
 *  ̃CN[ht@ĆCkernel.h  sil.h ŃCN[hD
 *  ̃t@C璼ڃCN[h邱Ƃ͂ȂD̃t@CC
 *  N[hOɁCt_stddef.h  itron.h CN[ĥŁC
 *  ɈˑĂ悢D
 */

#ifndef TOPPERS_CPU_DEFS_H
#define TOPPERS_CPU_DEFS_H

/*
 *  vZbTɈˑ`
 */
#ifndef _MACRO_ONLY

/*
 * /CPUOnhԍ̌^
 */
typedef	UINT		INHNO;		/* ݃nhԍ */
typedef	UINT		EXCNO;		/* CPUOnhԍ */


/*
 * ݃}XŇ^Ɗ݃}XN̕ύX/Q
 */
typedef	UINT		IPM;		/* ݃}XN */

extern ER	chg_ipm(IPM ipm)  throw();
extern ER	get_ipm(IPM *p_ipm)  throw();


/*
 *  ݂̋֎~/
 */
typedef	UINT		INTNO;		/* ݔԍ */

extern ER	dis_int(INTNO intno)  throw();
extern ER	ena_int(INTNO intno)  throw();


/*
 *  ^[QbgVXeˑ̃T[rXR[
 */
typedef	UD  SYSUTIM;	       /* \]pVXe */
extern ER	vxget_tim(SYSUTIM *pk_sysutim) throw();


/*
 * ݂̊݃}XN̓Ǐo
 */
Inline UW
_current_intmask_()
{
    UW sr;

    Asm("stc  sr,%0" : "=r"(sr));
    return(sr & 0x000000f0);
}

/*
 *  SĂ݂̊֎~
 */
Inline void
_disint_()
{
    UW sr;

    Asm("stc  sr,%0" : "=r"(sr));
    sr |= 0x000000f0;
    Asm("ldc %0, sr" : : "r"(sr) );
}

/*
 *  ݃}XN̐ݒ
 */
Inline void
_set_intmask_(UW intmask)
{
    UW sr;
    
    Asm("stc  sr,%0" : "=r"(sr));
    sr = (sr & ~0x000000f0) | intmask;
    Asm("ldc %0, sr" : : "r"(sr) );    
}


/*
 * ݃bNԂ̐
 */
#define SIL_PRE_LOC UW _intmask_ = _current_intmask_()
#define SIL_LOC_INT()   _disint_()
#define SIL_UNL_INT()   _set_intmask_(_intmask_)


#endif /* _MACRO_ONLY */
#endif /* TOPPERS_CPU_DEFS_H */
