/*
 *  @(#) $Id: /local/fi4-1.4/toppers/RELEASE_20061105_1/config/sh3/shelf.ld 2750 2006-03-07T16:15:24.532712Z monaka  $
 */

OUTPUT_FORMAT("elf32-sh","elf32-sh","elf32-sh")
OUTPUT_ARCH(sh)
	

PROVIDE(_hardware_init_hook = 0);
PROVIDE(_software_init_hook = 0);
PROVIDE(_software_term_hook = 0);
SECTIONS
{
    .text :	
    {
        __text = . ;
        *(.text)

    }
    _etext = .	;
    PROVIDE (etext = .)	;
    .rodata : { *(.rodata) }
    . = ALIGN(4);
    __idata_start = . ;
    .data   :  AT(__idata_start) 
    {
        __data_start = . ;
        *(.data)
    }
    __idata_end = __idata_start + SIZEOF(.data);
    _edata  =  . ;
    PROVIDE (edata = .);
    . = ALIGN(4);
    __bss_start = .	;		
    .bss       :
    {

      *(.bss)
      *(COMMON)
    }
    _end = .		;
    PROVIDE (end = .)	;
    .comment 0 : { *(.comment) }	
    .debug          0 : { *(.debug) }
    .line           0 : { *(.line) }
    .debug_srcinfo  0 : { *(.debug_srcinfo) }
    .debug_sfnames  0 : { *(.debug_sfnames) }
    .debug_aranges  0 : { *(.debug_aranges) }
    .debug_pubnames 0 : { *(.debug_pubnames) }	
}	
	
PROVIDE(_memcpy = _local_memcpy);
PROVIDE(__kernel_tinia_table = 0);
PROVIDE(__kernel_seminia_table = 0);
PROVIDE(__kernel_flginia_table = 0);
PROVIDE(__kernel_dtqinia_table = 0);
PROVIDE(__kernel_mbxinia_table = 0);
PROVIDE(__kernel_mpfinia_table = 0);
PROVIDE(__kernel_cycinia_table = 0);
PROVIDE(__kernel_attached_isrinib_table = 0);
PROVIDE(__kernel_isrinia_table = 0);
PROVIDE(__kernel_mplinia_table = 0);
PROVIDE(__kernel_alminia_table = 0);
PROVIDE(__kernel_mbfinia_table = 0);
PROVIDE(__kernel_mtxinia_table = 0);
