/*
 *  TOPPERS/FI4 Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Fullset ITRON4 Kernel
 * 
 *  Copyright (C) 2003-2006 by Monami software Limited Partnership, JAPAN
 * 
 *  L쌠҂́Cȉ (1)`(4) ̏CFree Software Foundation 
 *  ɂČ\Ă GNU General Public License  Version 2 ɋL
 *  qĂ𖞂ꍇɌC{\tgEFAi{\tgEFA
 *  ς̂܂ށDȉjgpEEρEĔzziȉC
 *  pƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
 *      pł`ōĔzzꍇɂ́CĔzzɔhLgip
 *      ҃}jAȂǁjɁCL̒쌠\C̗pщL
 *      ̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
 *      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
 *      ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
 *        񍐂邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̓Kp\
 *  ܂߂āCȂۏ؂sȂD܂C{\tgEFA̗pɂ蒼
 *  ړI܂͊ԐړIɐȂ鑹QɊւĂC̐ӔC𕉂ȂD
 * 
 *  @(#) $Id: /local/fi4-1.4/toppers/RELEASE_20061105_1/kernel/fncd.h 6183 2006-11-05T03:43:32.794177Z monaka  $
 */

#ifndef TOPPERS_FNCD_H
#define TOPPERS_FNCD_H

#define FNCD_CRE_TSK	(-0x05)
#define FNCD_DEL_TSK	(-0x06)
#define FNCD_ACT_TSK	(-0x07)
#define FNCD_CAN_ACT	(-0x08)
#define FNCD_STA_TSK	(-0x09)
#define FNCD_EXT_TSK	(-0x0a)
#define FNCD_EXD_TSK	(-0x0b)
#define FNCD_TER_TSK	(-0x0c)
#define FNCD_CHG_PRI	(-0x0d)
#define FNCD_GET_PRI	(-0x0e)
#define FNCD_REF_TSK	(-0x0f)
#define FNCD_REF_TST	(-0x10)
#define FNCD_SLP_TSK	(-0x11)
#define FNCD_TSLP_TSK	(-0x12)
#define FNCD_WUP_TSK	(-0x13)
#define FNCD_CAN_WUP	(-0x14)
#define FNCD_REL_WAI	(-0x15)
#define FNCD_SUS_TSK	(-0x16)
#define FNCD_RSM_TSK	(-0x17)
#define FNCD_FRSM_TSK	(-0x18)
#define FNCD_DLY_TSK	(-0x19)
#define FNCD_RESERVED_1A 	(-0x1a)
#define FNCD_DEF_TEX	(-0x1b)
#define FNCD_RAS_TEX	(-0x1c)
#define FNCD_DIS_TEX	(-0x1d)
#define FNCD_ENA_TEX	(-0x1e)
#define FNCD_SNS_TEX	(-0x1f)
#define FNCD_REF_TEX	(-0x20)
#define FNCD_CRE_SEM	(-0x21)
#define FNCD_DEL_SEM	(-0x22)
#define FNCD_SIG_SEM	(-0x23)
#define FNCD_RESERVED_24	(-0x24)
#define FNCD_WAI_SEM	(-0x25)
#define FNCD_POL_SEM	(-0x26)
#define FNCD_TWAI_SEM	(-0x27)
#define FNCD_REF_SEM	(-0x28)
#define FNCD_CRE_FLG	(-0x29)
#define FNCD_DEL_FLG	(-0x2a)
#define FNCD_SET_FLG	(-0x2b)
#define FNCD_CLR_FLG	(-0x2c)
#define FNCD_WAI_FLG	(-0x2d)
#define FNCD_POL_FLG	(-0x2e)
#define FNCD_TWAI_FLG	(-0x2f)
#define FNCD_REF_FLG	(-0x30)
#define FNCD_CRE_DTQ	(-0x31)
#define FNCD_DEL_DTQ	(-0x32)
#define FNCD_RESERVED_33	(-0x33)
#define FNCD_RESERVED_34	(-0x34)
#define FNCD_SND_DTQ	(-0x35)
#define FNCD_PSND_DTQ	(-0x36)
#define FNCD_TSND_DTQ	(-0x37)
#define FNCD_FSND_DTQ	(-0x38)
#define FNCD_RCV_DTQ	(-0x39)
#define FNCD_PRCV_DTQ	(-0x3a)
#define FNCD_TRCV_DTQ	(-0x3b)
#define FNCD_REF_DTQ	(-0x3c)
#define FNCD_CRE_MBX	(-0x3d)
#define FNCD_DEL_MBX	(-0x3e)
#define FNCD_SND_MBX	(-0x3f)
#define FNCD_RESERVED_40	(-0x40)
#define FNCD_RCV_MBX	(-0x41)
#define FNCD_PRCV_MBX	(-0x42)
#define FNCD_TRCV_MBX	(-0x43)
#define FNCD_REF_MBX	(-0x44)
#define FNCD_CRE_MPF	(-0x45)
#define FNCD_DEL_MPF	(-0x46)
#define FNCD_REL_MPF	(-0x47)
#define FNCD_RESERVED_48	(-0x48)
#define FNCD_GET_MPF	(-0x49)
#define FNCD_PGET_MPF	(-0x4a)
#define FNCD_TGET_MPF	(-0x4b)
#define FNCD_REF_MPF	(-0x4c)
#define FNCD_SET_TIM	(-0x4d)
#define FNCD_GET_TIM	(-0x4e)
#define FNCD_CRE_CYC	(-0x4f)
#define FNCD_DEL_CYC	(-0x50)
#define FNCD_STA_CYC	(-0x51)
#define FNCD_STP_CYC	(-0x52)
#define FNCD_REF_CYC	(-0x53)
#define FNCD_RESERVED_54	(-0x54)
#define FNCD_ROT_RDQ	(-0x55)
#define FNCD_GET_TID	(-0x56)
#define FNCD_RESERVED_57	(-0x57)
#define FNCD_RESERVED_58	(-0x58) 
#define FNCD_LOC_CPU	(-0x59)
#define FNCD_UNL_CPU	(-0x5a)
#define FNCD_DIS_DSP	(-0x5b)
#define FNCD_ENA_DSP	(-0x5c)
#define FNCD_SNS_CTX	(-0x5d)
#define FNCD_SNS_LOC	(-0x5e)
#define FNCD_SNS_DSP	(-0x5f)
#define FNCD_SNS_DPN	(-0x60)
#define FNCD_REF_SYS	(-0x61)
#define FNCD_RESERVED_62	(-0x62)
#define FNCD_RESERVED_63	(-0x63)
#define FNCD_RESERVED_64	(-0x64)
#define FNCD_DEF_INH	(-0x65)
#define FNCD_CRE_ISR	(-0x66)
#define FNCD_DEL_ISR	(-0x67)
#define FNCD_REF_ISR	(-0x68)
#define FNCD_DIS_INT	(-0x69)
#define FNCD_ENA_INT	(-0x6a)
#define FNCD_CHG_IXX	(-0x6b)
#define FNCD_GET_IXX	(-0x6c)
#define FNCD_DEF_SVC	(-0x6d)
#define FNCD_DEF_EXC	(-0x6e)
#define FNCD_REF_CFG	(-0x6f)
#define FNCD_REF_VER	(-0x70)
#define FNCD_IACT_TSK	(-0x71)
#define FNCD_IWUP_TSK	(-0x72)
#define FNCD_IREL_WAI	(-0x73)
#define FNCD_IRAS_TEX	(-0x74)
#define FNCD_ISIG_SEM	(-0x75)
#define FNCD_ISET_FLG	(-0x76)
#define FNCD_IPSND_DTQ	(-0x77)
#define FNCD_IFSND_DTQ	(-0x78)
#define FNCD_IROT_RDQ	(-0x79)
#define FNCD_IGET_TID	(-0x7a)
#define FNCD_ILOC_CPU	(-0x7b)
#define FNCD_IUNL_CPU	(-0x7c)
#define FNCD_ISIG_TIM	(-0x7d)
#define FNCD_RESERVED_7E	(-0x7e)
#define FNCD_RESERVED_7F	(-0x7f)
#define FNCD_RESERVED_80	(-0x80)
#define FNCD_CRE_MTX	(-0x81)
#define FNCD_DEL_MTX	(-0x82)
#define FNCD_UNL_MTX	(-0x83)
#define FNCD_RESERVED_84	(-0x84)
#define FNCD_LOC_MTX	(-0x85)
#define FNCD_PLOC_MTX	(-0x86)
#define FNCD_TLOC_MTX	(-0x87)
#define FNCD_REF_MTX	(-0x88)
#define FNCD_CRE_MBF	(-0x89)
#define FNCD_DEL_MBF	(-0x8a)
#define FNCD_RESERVED_8b	(-0x8b)
#define FNCD_RESERVED_8c	(-0x8c)
#define FNCD_SND_MBF	(-0x8d)
#define FNCD_PSND_MBF	(-0x8e)
#define FNCD_TSND_MBF	(-0x8f)
#define FNCD_RESERVED_90	(-0x90)
#define FNCD_RCV_MBF	(-0x91)
#define FNCD_PRCV_MBF	(-0x92)
#define FNCD_TRCV_MBF	(-0x93)
#define FNCD_REF_MBF	(-0x94)
#define FNCD_CRE_POR	(-0x95)
#define FNCD_DEL_POR	(-0x96)
#define FNCD_CAL_POR	(-0x97)
#define FNCD_TCAL_POR	(-0x98)
#define FNCD_ACP_POR	(-0x99)
#define FNCD_PACP_POR	(-0x9a)
#define FNCD_TACP_POR	(-0x9b)
#define FNCD_FWD_POR	(-0x9c)
#define FNCD_RPL_RDV	(-0x9d)
#define FNCD_REF_POR	(-0x9e)
#define FNCD_REF_RDV	(-0x9f)
#define FNCD_RESERVED_A0	(-0xa0)
#define FNCD_CRE_MPL	(-0xa1)
#define FNCD_DEL_MPL	(-0xa2)
#define FNCD_REL_MPL	(-0xa3)
#define FNCD_RESERVED_A4	(-0xa4)
#define FNCD_GET_MPL	(-0xa5)
#define FNCD_PGET_MPL	(-0xa6)
#define FNCD_TGET_MPL	(-0xa7)
#define FNCD_REF_MPL	(-0xa8)
#define FNCD_CRE_ALM	(-0xa9)
#define FNCD_DEL_ALM	(-0xaa)
#define FNCD_STA_ALM	(-0xab)
#define FNCD_STP_ALM	(-0xac)
#define FNCD_REF_ALM	(-0xad)
#define FNCD_RESERVED_AE	(-0xae)
#define FNCD_RESERVED_AF	(-0xaf)
#define FNCD_RESERVED_B0	(-0xb0)
#define FNCD_DEF_OVR	(-0xb1)
#define FNCD_STA_OVR	(-0xb2)
#define FNCD_STP_OVR	(-0xb3)
#define FNCD_REF_OVR	(-0xb4)
#define FNCD_RESERVED_B5	(-0xb5)
#define FNCD_RESERVED_B6	(-0xb6)
#define FNCD_RESERVED_B7	(-0xb7)
#define FNCD_RESERVED_B8 	(-0xb8)
#define FNCD_RESERVED_B9	(-0xb9)
#define FNCD_RESERVED_BA	(-0xba)
#define FNCD_RESERVED_BB	(-0xbb)
#define FNCD_RESERVED_BC	(-0xbc)
#define FNCD_RESERVED_BD	(-0xbd)
#define FNCD_RESERVED_BE	(-0xbe)
#define FNCD_RESERVED_BF	(-0xbf)
#define FNCD_RESERVED_C0	(-0xc0)
#define FNCD_ACRE_TSK	(-0xc1)
#define FNCD_ACRE_SEM	(-0xc2)
#define FNCD_ACRE_FLG	(-0xc3)
#define FNCD_ACRE_DTQ	(-0xc4)
#define FNCD_ACRE_MBX	(-0xc5)
#define FNCD_ACRE_MTX	(-0xc6)
#define FNCD_ACRE_MBF	(-0xc7)
#define FNCD_ACRE_POR	(-0xc8)
#define FNCD_ACRE_MPF	(-0xc9)
#define FNCD_ACRE_MPL	(-0xca)
#define FNCD_ACRE_CYC	(-0xcb)
#define FNCD_ACRE_ALM	(-0xcc)
#define FNCD_ACRE_ISR	(-0xcd)
#define FNCD_RESERVED_CE	(-0xce)
#define FNCD_RESERVED_CF	(-0xcf)
#define FNCD_RESERVED_D0	(-0xd0)
#define FNCD_RESERVED_D1	(-0xd1)
#define FNCD_RESERVED_D2	(-0xd2)
#define FNCD_RESERVED_D3	(-0xd3)
#define FNCD_RESERVED_D4	(-0xd4)
#define FNCD_RESERVED_D5	(-0xd5)
#define FNCD_RESERVED_D6	(-0xd6)
#define FNCD_RESERVED_D7	(-0xd7)
#define FNCD_RESERVED_D8	(-0xd8)
#define FNCD_RESERVED_D9	(-0xd9)
#define FNCD_RESERVED_DA	(-0xda)
#define FNCD_RESERVED_DB	(-0xdb)
#define FNCD_RESERVED_DC	(-0xdc)
#define FNCD_RESERVED_DD	(-0xdd)
#define FNCD_RESERVED_DE	(-0xde)
#define FNCD_RESERVED_DF	(-0xdf)
#define FNCD_RESERVED_E0	(-0xe0)

#endif /* TOPPERS_FNCD_H */
