/*
 *  TOPPERS/FI4 Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Fullset uItron4 Kernel
 * 
 *  Copyright (C) 2000 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2003-2006 by Monami software Limited Partnership, JAPAN
 * 
 *  L쌠҂́Cȉ (1)`(4) ̏CFree Software Foundation 
 *  ɂČ\Ă GNU General Public License  Version 2 ɋL
 *  qĂ𖞂ꍇɌC{\tgEFAi{\tgEFA
 *  ς̂܂ށDȉjgpEEρEĔzziȉC
 *  pƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
 *      pł`ōĔzzꍇɂ́CĔzzɔhLgip
 *      ҃}jAȂǁjɁCL̒쌠\C̗pщL
 *      ̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
 *      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
 *      ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
 *        񍐂邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̓Kp\
 *  ܂߂āCȂۏ؂sȂD܂C{\tgEFA̗pɂ蒼
 *  ړI܂͊ԐړIɐȂ鑹QɊւĂC̐ӔC𕉂ȂD
 * 
 *  @(#) $Id: /local/fi4-1.4/toppers/RELEASE_20061105_1/kernel/mailbox.h 6183 2006-11-05T03:43:32.794177Z monaka  $
 */

/*
 *	[{bNX@\
 */

#ifndef TOPPERS_MAILBOX_H
#define TOPPERS_MAILBOX_H

#include "queue.h"

/*
 *  [{bNXubN
 */
typedef struct mailbox_initialization_block {
	ATR	mbxatr;		/* [{bNX */
	PRI	maxmpri;	/* bZ[WDx̍ől */
	VP	mprihd;		/* DxʃbZ[WL[wb_̈̐擪Ԓn */
} MBXINIB;

/*
 *  [{bNXubNAzyA
 */
typedef struct mailbox_initialization_block_apair {
	ID	mbxid;
	MBXINIB	mbxinib;
} MBXINIA;

/*
 *  [{bNXǗubN
 *
 *  bZ[WL[bZ[W̗Dx̏ꍇɂ́Clast ͎gȂD
 */
typedef struct mailbox_control_block {
	QUEUE	wait_queue;	/* [{bNX҂L[ */
	MBXINIB *mbxinib;	/* [{bNXubNւ̃|C^ */
	T_MSG	*head;		/* 擪̃bZ[W */
	T_MSG	*last;		/* ̃bZ[W */
	unsigned int	exist:2;	/* gĂƂAKOBJ_EXIST */
	unsigned int	reserved:1;
} MBXCB;

/*
 *  [{bNX@\̏
 */
extern void	mailbox_initialize(void);

#define MBXID(mbxcb)	((ID)((mbxcb) - mbxcb_table) + TMIN_MBXID)

#endif /* TOPPERS_MAILBOX_H */
