/*
 *  TOPPERS/FI4 Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Fullset uItron4 Kernel
 * 
 *  Copyright (C) 2000 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2003-2006 by Monami software Limited Partnership, JAPAN
 * 
 *  L쌠҂́Cȉ (1)`(4) ̏CFree Software Foundation 
 *  ɂČ\Ă GNU General Public License  Version 2 ɋL
 *  qĂ𖞂ꍇɌC{\tgEFAi{\tgEFA
 *  ς̂܂ށDȉjgpEEρEĔzziȉC
 *  pƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
 *      pł`ōĔzzꍇɂ́CĔzzɔhLgip
 *      ҃}jAȂǁjɁCL̒쌠\C̗pщL
 *      ̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
 *      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
 *      ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
 *        񍐂邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̓Kp\
 *  ܂߂āCȂۏ؂sȂD܂C{\tgEFA̗pɂ蒼
 *  ړI܂͊ԐړIɐȂ鑹QɊւĂC̐ӔC𕉂ȂD
 * 
 *  @(#) $Id: /local/fi4-1.4/toppers/RELEASE_20061105_1/kernel/semaphore.h 6183 2006-11-05T03:43:32.794177Z monaka  $
 */

/*
 *	Z}tH@\
 */

#ifndef TOPPERS_SEMAPHORE_H
#define TOPPERS_SEMAPHORE_H

#include "queue.h"

/*
 *  Z}tHubN
 */
typedef struct semaphore_initialization_block {
	ATR	sematr;		/* Z}tH */
	UINT	isemcnt;	/* Z}tH̎̏l */
	UINT	maxsem;		/* Z}tH̍ő厑 */
} SEMINIB;

/*
 *  Z}tHubNAzyA
 */
typedef struct semaphore_initialization_block_apair {
	ID	semid;
	SEMINIB	seminib;
} SEMINIA;

/*
 *  Z}tHǗubN
 */
typedef struct semaphore_control_block {
	QUEUE	wait_queue;	/* Z}tH҂L[ */
	SEMINIB *seminib;	/* Z}tHubNւ̃|C^ */
	UINT	semcnt;		/* Z}tH݃JEgl */
	unsigned int	exist:2;	/* gĂƂATRUE */
	unsigned int	reserved:1;
} SEMCB;

/*
 *  Z}tH@\̏
 */
extern void	semaphore_initialize(void);

#define SEMID(semcb)	((ID)((semcb) - semcb_table) + TMIN_SEMID)

#endif /* TOPPERS_SEMAPHORE_H */
