/*
 *  TOPPERS/FI4 Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Fullset uItron4 Kernel
 * 
 *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2006 by Monami Software Limited Partnership, JAPAN
 * 
 *  L쌠҂́Cȉ (1)`(4) ̏CFree Software Foundation 
 *  ɂČ\Ă GNU General Public License  Version 2 ɋL
 *  qĂ𖞂ꍇɌC{\tgEFAi{\tgEFA
 *  ς̂܂ށDȉjgpEEρEĔzziȉC
 *  pƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
 *      pł`ōĔzzꍇɂ́CĔzzɔhLgip
 *      ҃}jAȂǁjɁCL̒쌠\C̗pщL
 *      ̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
 *      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
 *      ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
 *        񍐂邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̓Kp\
 *  ܂߂āCȂۏ؂sȂD܂C{\tgEFA̗pɂ蒼
 *  ړI܂͊ԐړIɐȂ鑹QɊւĂC̐ӔC𕉂ȂD
 * 
 *  @(#) $Id: /local/fi4-1.4/toppers/RELEASE_20061105_1/kernel/syslog.h 6183 2006-11-05T03:43:32.794177Z monaka  $
 */

/*
 *	VXeO@\
 */

#ifndef TOPPERS_SYSLOG_H
#define TOPPERS_SYSLOG_H

#include <t_syslog.h>

/*
 *  Oobt@ƂɃANZX邽߂̃|C^
 */
#ifndef TCNT_SYSLOG_BUFFER
#define TCNT_SYSLOG_BUFFER	32	/* Oobt@̃TCY */
#endif /* TCNT_SYSLOG_BUFFER */

extern SYSLOG	syslog_buffer[];	/* Oobt@ */
extern UINT	syslog_count;		/* Oobt@̃O̐ */
extern UINT	syslog_head;		/* 擪̃O̊i[ʒu */
extern UINT	syslog_tail;		/* ̃O̊i[ʒu */
extern UINT	syslog_lost;		/* ꂽO̐ */

/*
 *  oׂ͂Ȍdvxirbg}bvj
 */
extern UINT	syslog_logmask;		/* Oobt@ɋL^ׂdvx */
extern UINT	syslog_lowmask;		/* ჌xoׂ͂dvx */

#ifndef OMIT_SYSLOG

/*
 *  VXeO@\̏
 */
extern void	syslog_initialize(void);

/*
 *  VXeO@\̏I
 */
extern void	syslog_terminate(void);

#else /* OMIT_SYSLOG */

#define syslog_initialize()	((void) 0)
#define syslog_terminate()	((void) 0)

#endif /* OMIT_SYSLOG */
#endif /* TOPPERS_SYSLOG_H */
